if ~exist('small'), small=false;end
Lfun={@(X,Y,x) fc_bench.demos.Lagrange(X,Y,x), ...
      @(X,Y,x) fc_bench.demos.lagint(X,Y,x), ...
      @(X,Y,x) fc_bench.demos.polyLagrange(X,Y,x) };

error=@(o1,o2) norm(o1-o2,Inf);
setfun=@(varargin) fc_bench.demos.setLagrange(varargin{:});
if small
  n=[5,9,15]; m=[100,500,1000];
else
  n=[3,5,7]; m=[10,30,70];
end
[N,M]=meshgrid(n,m);
LN=[N(:),M(:)];
fc_bench.bench(Lfun, setfun,'LN',LN,  'error',error, 'info',false, 'labelsinfo',true, 'a',-pi,'b',pi,'fun',@sin);
