function det(LN,varargin)
% fc_amat.benchs.det    benchmarking of the det method of a square amat object
%   
  assert( fc_tools.utils.is_fcPackage('bench') )
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('select','lu',@(x) ismember(lower(x),{'lu','laplace','auto'}));
  p.parse(varargin{:});
  R=p.Results;
  
  
  setfun=@(varargin) fc_amat.benchs.set_det(varargin{:});
  sfun=sprintf('@(A) det(A,''select'',''%s'');',R.select);
  %Lfun={@(A) chol(A,R.kind)};
  Lfun={eval(sfun)};
  comment=['# Benchmarking command: ',sfun,'\n'];
  fc_bench.bench(Lfun,setfun,'LN',LN,varargin{:},'comment',comment)
end
